Loading...
Searching...
No Matches
uzawa_solver.hpp File Reference

Uzawa scheme helper class. More...

`#include <dune/istl/solvers.hh>`
`#include <opm/elasticity/matrixops.hpp>`
`#include <opm/elasticity/mortar_utils.hpp>`

Go to the source code of this file.

## Classes

class | Opm::Elasticity::UzawaSolver< X, Y >
| Template implementing an Uzawa scheme (block Gaussian-elimination) for a (symmetric indefinite) saddle-point system. More...

## Namespaces

namespace | Opm
| Inverting small matrices.

## Detailed Description

Uzawa scheme helper class.

Date
  Nov 9 2012

Author
  Arne Morten Kvarving / SINTEF